Bug 457327 - Slideshow wallpaper: the first image is always in a "active" state and can't change
Summary: Slideshow wallpaper: the first image is always in a "active" state and can't ...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: general (show other bugs)
Version: 5.25.3
Platform: Archlinux Linux
: NOR minor
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-31 03:30 UTC by Jin Liu
Modified: 2022-08-01 23:15 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25.4


Attachments
The problem. (499.89 KB, image/jpeg)
2022-07-31 03:30 UTC, Jin Liu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jin Liu 2022-07-31 03:30:16 UTC
Created attachment 151020 [details]
The problem.

SUMMARY
In the config dialog of slideshow wallpaper, the first image is always in a "active" state (thick, deep blue border). And it can't change with neither mouse click or keyboard.

STEPS TO REPRODUCE
1. On the desktop, open "configure desktop and wallpaper"
2. Select "slideshow" wallpaper

OBSERVED RESULT
In the image list, the first image has a thick, deep blue border around it.

EXPECTED RESULT
The first image has no such border.

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 Bug Janitor Service 2022-07-31 03:53:47 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1985
Comment 2 Fushan Wen 2022-07-31 11:43:37 UTC
Git commit 01defdb573e7f575e38b36667caaf9a218025a53 by Fushan Wen, on behalf of Jin Liu.
Committed on 31/07/2022 at 11:43.
Pushed by fusionfuture into branch 'master'.

wallpaper/slideshow: shouldn't display "current" item in image list

In the config dialog of slideshow wallpaper, the first image is always in a "current selected" state (thick, deep blue border). And it can't change with neither mouse click or keyboard.

Slideshow has no such thing as "current", so this effect should be removed.

![Screenshot_20220731_112227](/uploads/73be3edcb45ac3a1ef5c92b26f6cf46e/Screenshot_20220731_112227.jpg)

M  +3    -1    wallpapers/image/imagepackage/contents/ui/ThumbnailsComponent.qml

https://invent.kde.org/plasma/plasma-workspace/commit/01defdb573e7f575e38b36667caaf9a218025a53
Comment 3 Fushan Wen 2022-07-31 11:44:35 UTC
Git commit dfefe6139433dd9ef27209d25c528dd720baffdb by Fushan Wen, on behalf of Jin Liu.
Committed on 31/07/2022 at 11:44.
Pushed by fusionfuture into branch 'Plasma/5.25'.

wallpaper/slideshow: shouldn't display "current" item in image list

In the config dialog of slideshow wallpaper, the first image is always in a "current selected" state (thick, deep blue border). And it can't change with neither mouse click or keyboard.

Slideshow has no such thing as "current", so this effect should be removed.

![Screenshot_20220731_112227](/uploads/73be3edcb45ac3a1ef5c92b26f6cf46e/Screenshot_20220731_112227.jpg)


(cherry picked from commit 01defdb573e7f575e38b36667caaf9a218025a53)

M  +3    -1    wallpapers/image/imagepackage/contents/ui/ThumbnailsComponent.qml

https://invent.kde.org/plasma/plasma-workspace/commit/dfefe6139433dd9ef27209d25c528dd720baffdb